gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.ActionMenuToolbar.ToggleAction

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods
- Attributes
- Signals
- Deprecated

Description

An action which can be toggled between two states

- Module available since Gtk+ version 2.4

Synopsis

- data ToggleAction
- class ActionClass o => ToggleActionClass o
- castToToggleAction :: GObjectClass obj => obj -> ToggleAction
- gTypeToggleAction :: GType
- toToggleAction :: ToggleActionClass o => o -> ToggleAction
- toggleActionNew :: GlibString string => string -> string -> Maybe string -> Maybe StockId -> IO ToggleAction
- toggleActionToggled :: ToggleActionClass self => self -> IO ()
- toggleActionSetActive :: ToggleActionClass self => self -> Bool -> IO ()
- toggleActionGetActive :: ToggleActionClass self => self -> IO Bool
- toggleActionSetDrawAsRadio :: ToggleActionClass self => self -> Bool -> IO ()
- toggleActionGetDrawAsRadio :: ToggleActionClass self => self -> IO Bool
- toggleActionDrawAsRadio :: ToggleActionClass self => Attr self Bool
- toggleActionActive :: ToggleActionClass self => Attr self Bool
- actionToggled :: ToggleActionClass self => Signal self (IO ())

# Detail

A `ToggleAction` corresponds roughly to a `CheckMenuItem`. It has an "active" state specifying whether the action has been checked or not.

# Class Hierarchy

    | GObject
    | +----Action
    | +----ToggleAction
    | +----RadioAction

# Types

data ToggleAction Source #

#### Instances

Instances details

Eq ToggleAction Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: ToggleAction -> ToggleAction -> Bool Source # (/=) :: ToggleAction -> ToggleAction -> Bool Source #
Ord ToggleAction Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: ToggleAction -> ToggleAction -> Ordering Source #

(<) :: ToggleAction -> ToggleAction -> Bool Source #

(<=) :: ToggleAction -> ToggleAction -> Bool Source #

(>) :: ToggleAction -> ToggleAction -> Bool Source #

(>=) :: ToggleAction -> ToggleAction -> Bool Source #

max :: ToggleAction -> ToggleAction -> ToggleAction Source #

min :: ToggleAction -> ToggleAction -> ToggleAction Source #

GObjectClass ToggleAction Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: ToggleAction -> GObject Source # unsafeCastGObject :: GObject -> ToggleAction Source #
ActionClass ToggleAction Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ToggleActionClass ToggleAction Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class ActionClass o => ToggleActionClass o Source #

#### Instances

Instances details

ToggleActionClass RadioAction Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ToggleActionClass ToggleAction Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToToggleAction :: GObjectClass obj => obj -> ToggleAction Source #

gTypeToggleAction :: GType Source #

toToggleAction :: ToggleActionClass o => o -> ToggleAction Source #

# Constructors

toggleActionNew Source #

Arguments

:: GlibString string |
=> string | `name` - A unique name for the action
-> string | `label` - The label displayed in menu items and on buttons
-> Maybe string | `tooltip` - A tooltip for the action
-> Maybe StockId | `stockId` - The stock icon to display in widgets representing the action
-> IO ToggleAction |

Creates a new `ToggleAction` object. To add the action to a `ActionGroup` and set the accelerator for the action, call `actionGroupAddActionWithAccel`.

# Methods

toggleActionToggled :: ToggleActionClass self => self -> IO () Source #

Emits the "toggled" signal on the toggle action.

toggleActionSetActive Source #

Arguments

:: ToggleActionClass self |
=> self |
-> Bool | `isActive` - whether the action should be checked or not
-> IO () |

Sets the checked state on the toggle action.

toggleActionGetActive :: ToggleActionClass self => self -> IO Bool Source #

Returns the checked state of the toggle action.

toggleActionSetDrawAsRadio :: ToggleActionClass self => self -> Bool -> IO () Source #

Sets whether the action should have proxies like a radio action.

toggleActionGetDrawAsRadio :: ToggleActionClass self => self -> IO Bool Source #

Returns whether the action should have proxies like a radio action.

# Attributes

toggleActionDrawAsRadio :: ToggleActionClass self => Attr self Bool Source #

Whether the proxies for this action look like radio action proxies.

Default value: `False`

toggleActionActive :: ToggleActionClass self => Attr self Bool Source #

If the toggle action should be active in or not.

Default value: `False`

- Available since Gtk+ version 2.10

# Signals

actionToggled :: ToggleActionClass self => Signal self (IO ()) Source #

# Deprecated